class cycles():
	def checks(context,data):
		import math
		puresky_properties = context.scene.puresky_properties
		node_tree = data.worlds["Pure-Sky Pro"].node_tree
		rules = [
			###########  MLC  ###########
			puresky_properties.bool_cy_mlc__link == node_tree.nodes["MLC"].inputs[0].default_value,
			#______  Lighting ______#
			puresky_properties.flvec_cy_mlc_lighting_col[0] == node_tree.nodes["MLC"].inputs[2].default_value[0],
			puresky_properties.flvec_cy_mlc_lighting_col[1] == node_tree.nodes["MLC"].inputs[2].default_value[1],
			puresky_properties.flvec_cy_mlc_lighting_col[2] == node_tree.nodes["MLC"].inputs[2].default_value[2],
			puresky_properties.flvec_cy_mlc_lighting_col[3] == node_tree.nodes["MLC"].inputs[2].default_value[3],
			puresky_properties.flvec_cy_mlc_lighting_emi[0] == node_tree.nodes["MLC"].inputs[3].default_value[0],
			puresky_properties.flvec_cy_mlc_lighting_emi[1] == node_tree.nodes["MLC"].inputs[3].default_value[1],
			puresky_properties.flvec_cy_mlc_lighting_emi[2] == node_tree.nodes["MLC"].inputs[3].default_value[2],
			puresky_properties.flvec_cy_mlc_lighting_emi[3] == node_tree.nodes["MLC"].inputs[3].default_value[3],
			puresky_properties.flvec_cy_mlc_lighting_abso[0] == node_tree.nodes["MLC"].inputs[4].default_value[0],
			puresky_properties.flvec_cy_mlc_lighting_abso[1] == node_tree.nodes["MLC"].inputs[4].default_value[1],
			puresky_properties.flvec_cy_mlc_lighting_abso[2] == node_tree.nodes["MLC"].inputs[4].default_value[2],
			puresky_properties.flvec_cy_mlc_lighting_abso[3] == node_tree.nodes["MLC"].inputs[4].default_value[3],
			puresky_properties.fl_cy_mlc_lighting_glare == node_tree.nodes["MLC"].inputs[5].default_value,
			puresky_properties.fl_cy_mlc_lighting_transmission == node_tree.nodes["MLC"].inputs[6].default_value,
			puresky_properties.fl_cy_mlc_lighting_start_distance == node_tree.nodes["MLC"].inputs[7].default_value,
			puresky_properties.fl_cy_mlc_lighting_only_shadows == node_tree.nodes["MLC"].inputs[8].default_value,
			puresky_properties.fl_cy_mlc_lighting_floor_shadows == node_tree.nodes["MLC"].inputs[9].default_value,
			puresky_properties.fl_cy_mlc_lighting_shadows_strength == node_tree.nodes["MLC"].inputs[10].default_value,
			puresky_properties.fl_cy_mlc_lighting_day_emission == node_tree.nodes["MLC"].inputs[11].default_value,
			puresky_properties.fl_cy_mlc_lighting_night_emission == node_tree.nodes["MLC"].inputs[12].default_value,
			puresky_properties.fl_cy_mlc_lighting_emi_duration == node_tree.nodes["MLC"].inputs[13].default_value,
			puresky_properties.fl_cy_mlc_lighting_day_global_illumination == node_tree.nodes["MLC"].inputs[14].default_value,
			puresky_properties.fl_cy_mlc_lighting_night_global_illumination == node_tree.nodes["MLC"].inputs[15].default_value,
			puresky_properties.fl_cy_mlc_lighting_gi_duration == node_tree.nodes["MLC"].inputs[16].default_value,
			#______  Anime ______#
			puresky_properties.flvec_cy_mlc_anime_col[0] == node_tree.nodes["MLC"].inputs[18].default_value[0],
			puresky_properties.flvec_cy_mlc_anime_col[1] == node_tree.nodes["MLC"].inputs[18].default_value[1],
			puresky_properties.flvec_cy_mlc_anime_col[2] == node_tree.nodes["MLC"].inputs[18].default_value[2],
			puresky_properties.flvec_cy_mlc_anime_col[3] == node_tree.nodes["MLC"].inputs[18].default_value[3],
			puresky_properties.flvec_cy_mlc_anime_emi[0] == node_tree.nodes["MLC"].inputs[19].default_value[0],
			puresky_properties.flvec_cy_mlc_anime_emi[1] == node_tree.nodes["MLC"].inputs[19].default_value[1],
			puresky_properties.flvec_cy_mlc_anime_emi[2] == node_tree.nodes["MLC"].inputs[19].default_value[2],
			puresky_properties.flvec_cy_mlc_anime_emi[3] == node_tree.nodes["MLC"].inputs[19].default_value[3],
			puresky_properties.fl_cy_mlc_anime_anime == node_tree.nodes["MLC"].inputs[20].default_value,
			puresky_properties.fl_cy_mlc_anime_anime_style == node_tree.nodes["MLC"].inputs[21].default_value,
			puresky_properties.fl_cy_mlc_anime_anime_factor == node_tree.nodes["MLC"].inputs[22].default_value,
			#______  Animate ______#
			round(math.radians(puresky_properties.fl_cy_mlc_animate_wind_direction),2) == round(node_tree.nodes["MLC"].inputs[24].default_value,2) ,
			round(math.radians(puresky_properties.fl_cy_mlc_animate_storm_wind),2) == round(node_tree.nodes["MLC"].inputs[25].default_value,2) ,
			puresky_properties.fl_cy_mlc_animate_storm_flow == node_tree.nodes["MLC"].inputs[26].default_value,
			puresky_properties.fl_cy_mlc_animate_headwind == node_tree.nodes["MLC"].inputs[27].default_value,
			puresky_properties.fl_cy_mlc_animate_headflow == node_tree.nodes["MLC"].inputs[28].default_value,
			puresky_properties.fl_cy_mlc_animate_crosswind == node_tree.nodes["MLC"].inputs[29].default_value,
			puresky_properties.fl_cy_mlc_animate_crossflow == node_tree.nodes["MLC"].inputs[30].default_value,
			puresky_properties.fl_cy_mlc_animate_warm_air == node_tree.nodes["MLC"].inputs[31].default_value,
			puresky_properties.fl_cy_mlc_animate_cold_air == node_tree.nodes["MLC"].inputs[32].default_value,
			puresky_properties.fl_cy_mlc_animate_floor == node_tree.nodes["MLC"].inputs[33].default_value,
			puresky_properties.fl_cy_mlc_animate_air_rise == node_tree.nodes["MLC"].inputs[34].default_value,
			puresky_properties.fl_cy_mlc_animate_floor_hardness == node_tree.nodes["MLC"].inputs[35].default_value,
			puresky_properties.fl_cy_mlc_animate_ceiling_hardness == node_tree.nodes["MLC"].inputs[36].default_value,
			#______  Factors ______#
			puresky_properties.fl_cy_mlc_factors_hw_airflow == node_tree.nodes["MLC"].inputs[38].default_value,
			puresky_properties.fl_cy_mlc_factors_hw_cold_air == node_tree.nodes["MLC"].inputs[39].default_value,
			puresky_properties.fl_cy_mlc_factors_hw_warm_air == node_tree.nodes["MLC"].inputs[40].default_value,
			puresky_properties.fl_cy_mlc_factors_hw_air_rise == node_tree.nodes["MLC"].inputs[41].default_value,
			puresky_properties.fl_cy_mlc_factors_hw_ar_max == node_tree.nodes["MLC"].inputs[42].default_value,
			puresky_properties.fl_cy_mlc_factors_hw_coverage == node_tree.nodes["MLC"].inputs[43].default_value,
			puresky_properties.fl_cy_mlc_factors_hw_co_max == node_tree.nodes["MLC"].inputs[44].default_value,
			puresky_properties.fl_cy_mlc_factors_ar_cold_air == node_tree.nodes["MLC"].inputs[45].default_value,
			puresky_properties.fl_cy_mlc_factors_ar_warm_air == node_tree.nodes["MLC"].inputs[46].default_value,
			puresky_properties.fl_cy_mlc_factors_ar_coverage == node_tree.nodes["MLC"].inputs[47].default_value,
			puresky_properties.fl_cy_mlc_factors_ar_co_max == node_tree.nodes["MLC"].inputs[48].default_value,
			#______  Anvil & Drag ______#
			puresky_properties.fl_cy_mlc_anvil_drag_tropopause_altitude == node_tree.nodes["MLC"].inputs[50].default_value,
			puresky_properties.fl_cy_mlc_anvil_drag_tropopause_hardness == node_tree.nodes["MLC"].inputs[51].default_value,
			puresky_properties.fl_cy_mlc_anvil_drag_add_tropopause == node_tree.nodes["MLC"].inputs[52].default_value,
			puresky_properties.fl_cy_mlc_anvil_drag_anvil_diameter == node_tree.nodes["MLC"].inputs[53].default_value,
			puresky_properties.fl_cy_mlc_anvil_drag_anvil_cotton == node_tree.nodes["MLC"].inputs[54].default_value,
			puresky_properties.fl_cy_mlc_anvil_drag_anvil_height == node_tree.nodes["MLC"].inputs[55].default_value,
			puresky_properties.fl_cy_mlc_anvil_drag_add_anvil == node_tree.nodes["MLC"].inputs[56].default_value,
			puresky_properties.fl_cy_mlc_anvil_drag_drag_cotton == node_tree.nodes["MLC"].inputs[57].default_value,
			puresky_properties.fl_cy_mlc_anvil_drag_drag_height == node_tree.nodes["MLC"].inputs[58].default_value,
			puresky_properties.fl_cy_mlc_anvil_drag_drag_diameter == node_tree.nodes["MLC"].inputs[59].default_value,
			puresky_properties.fl_cy_mlc_anvil_drag_drag_undulating == node_tree.nodes["MLC"].inputs[60].default_value,
			puresky_properties.fl_cy_mlc_anvil_drag_smooth_undulating == node_tree.nodes["MLC"].inputs[61].default_value,
			#______  Clouds Shape ______#
			puresky_properties.fl_cy_mlc_clouds_shape_compress_level == node_tree.nodes["MLC"].inputs[63].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_compress_cell == node_tree.nodes["MLC"].inputs[64].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_cell_length == node_tree.nodes["MLC"].inputs[65].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_cell_width == node_tree.nodes["MLC"].inputs[66].default_value,
			round(math.radians(puresky_properties.fl_cy_mlc_clouds_shape_wind_skew),2) == round(node_tree.nodes["MLC"].inputs[67].default_value,2) ,
			puresky_properties.fl_cy_mlc_clouds_shape_scattering == node_tree.nodes["MLC"].inputs[68].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_variation == node_tree.nodes["MLC"].inputs[69].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_altitude == node_tree.nodes["MLC"].inputs[70].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_density == node_tree.nodes["MLC"].inputs[71].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_seed == node_tree.nodes["MLC"].inputs[72].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_flip == node_tree.nodes["MLC"].inputs[73].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_scale == node_tree.nodes["MLC"].inputs[74].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_rigid == node_tree.nodes["MLC"].inputs[75].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_debris == node_tree.nodes["MLC"].inputs[76].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_smooth == node_tree.nodes["MLC"].inputs[77].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_coverage == node_tree.nodes["MLC"].inputs[78].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_compress == node_tree.nodes["MLC"].inputs[79].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_add_level == node_tree.nodes["MLC"].inputs[80].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_add_swelling == node_tree.nodes["MLC"].inputs[81].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_add_noise == node_tree.nodes["MLC"].inputs[82].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_add_tousling == node_tree.nodes["MLC"].inputs[83].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_add_floor_tousling == node_tree.nodes["MLC"].inputs[84].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_add_cotton == node_tree.nodes["MLC"].inputs[85].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_scale_swelling == node_tree.nodes["MLC"].inputs[86].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_scale_tousling == node_tree.nodes["MLC"].inputs[87].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_scale_cotton == node_tree.nodes["MLC"].inputs[88].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_scale_cell == node_tree.nodes["MLC"].inputs[89].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_scale_level == node_tree.nodes["MLC"].inputs[90].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_scale_noise == node_tree.nodes["MLC"].inputs[91].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_smooth_level == node_tree.nodes["MLC"].inputs[92].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_smooth_noise == node_tree.nodes["MLC"].inputs[93].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_smooth_swelling == node_tree.nodes["MLC"].inputs[94].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_smooth_tousling == node_tree.nodes["MLC"].inputs[95].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_cotton_details == node_tree.nodes["MLC"].inputs[96].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_tousling_details == node_tree.nodes["MLC"].inputs[97].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_cotton_distorsion == node_tree.nodes["MLC"].inputs[98].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_tousling_distorsion == node_tree.nodes["MLC"].inputs[99].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_cotton_roughness == node_tree.nodes["MLC"].inputs[100].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_tousling_roughness == node_tree.nodes["MLC"].inputs[101].default_value,
			puresky_properties.fl_cy_mlc_clouds_shape_display_mask == node_tree.nodes["MLC"].inputs[102].default_value,
			#______  Mask MLC ______#
			puresky_properties.flvec_cy_mlc_mask_mlc_inputs_103[0] == node_tree.nodes["MLC"].inputs[103].default_value[0],
			puresky_properties.flvec_cy_mlc_mask_mlc_inputs_103[1] == node_tree.nodes["MLC"].inputs[103].default_value[1],
			puresky_properties.flvec_cy_mlc_mask_mlc_inputs_103[2] == node_tree.nodes["MLC"].inputs[103].default_value[2],
			puresky_properties.flvec_cy_mlc_mask_mlc_inputs_103[3] == node_tree.nodes["MLC"].inputs[103].default_value[3],
			###########  SuC  ###########
			puresky_properties.bool_cy_suc_mask_mlc_link == node_tree.nodes["SuC"].inputs[0].default_value,
			#______  Lighting ______#
			puresky_properties.flvec_cy_suc_lighting_col[0] == node_tree.nodes["SuC"].inputs[2].default_value[0],
			puresky_properties.flvec_cy_suc_lighting_col[1] == node_tree.nodes["SuC"].inputs[2].default_value[1],
			puresky_properties.flvec_cy_suc_lighting_col[2] == node_tree.nodes["SuC"].inputs[2].default_value[2],
			puresky_properties.flvec_cy_suc_lighting_col[3] == node_tree.nodes["SuC"].inputs[2].default_value[3],
			puresky_properties.flvec_cy_suc_lighting_emi[0] == node_tree.nodes["SuC"].inputs[3].default_value[0],
			puresky_properties.flvec_cy_suc_lighting_emi[1] == node_tree.nodes["SuC"].inputs[3].default_value[1],
			puresky_properties.flvec_cy_suc_lighting_emi[2] == node_tree.nodes["SuC"].inputs[3].default_value[2],
			puresky_properties.flvec_cy_suc_lighting_emi[3] == node_tree.nodes["SuC"].inputs[3].default_value[3],
			puresky_properties.flvec_cy_suc_lighting_abso[0] == node_tree.nodes["SuC"].inputs[4].default_value[0],
			puresky_properties.flvec_cy_suc_lighting_abso[1] == node_tree.nodes["SuC"].inputs[4].default_value[1],
			puresky_properties.flvec_cy_suc_lighting_abso[2] == node_tree.nodes["SuC"].inputs[4].default_value[2],
			puresky_properties.flvec_cy_suc_lighting_abso[3] == node_tree.nodes["SuC"].inputs[4].default_value[3],
			puresky_properties.fl_cy_suc_lighting_glare == node_tree.nodes["SuC"].inputs[5].default_value,
			puresky_properties.fl_cy_suc_lighting_transmission == node_tree.nodes["SuC"].inputs[6].default_value,
			puresky_properties.fl_cy_suc_lighting_start_distance == node_tree.nodes["SuC"].inputs[7].default_value,
			puresky_properties.fl_cy_suc_lighting_only_shadows == node_tree.nodes["SuC"].inputs[8].default_value,
			puresky_properties.fl_cy_suc_lighting_floor_shadows == node_tree.nodes["SuC"].inputs[9].default_value,
			puresky_properties.fl_cy_suc_lighting_shadows_strength == node_tree.nodes["SuC"].inputs[10].default_value,
			puresky_properties.fl_cy_suc_lighting_day_emission == node_tree.nodes["SuC"].inputs[11].default_value,
			puresky_properties.fl_cy_suc_lighting_night_emission == node_tree.nodes["SuC"].inputs[12].default_value,
			puresky_properties.fl_cy_suc_lighting_emi_duration == node_tree.nodes["SuC"].inputs[13].default_value,
			puresky_properties.fl_cy_suc_lighting_day_global_illumination == node_tree.nodes["SuC"].inputs[14].default_value,
			puresky_properties.fl_cy_suc_lighting_night_global_illumination == node_tree.nodes["SuC"].inputs[15].default_value,
			puresky_properties.fl_cy_suc_lighting_gi_duration == node_tree.nodes["SuC"].inputs[16].default_value,
			#______  Anime ______#
			puresky_properties.flvec_cy_suc_anime_col[0] == node_tree.nodes["SuC"].inputs[18].default_value[0],
			puresky_properties.flvec_cy_suc_anime_col[1] == node_tree.nodes["SuC"].inputs[18].default_value[1],
			puresky_properties.flvec_cy_suc_anime_col[2] == node_tree.nodes["SuC"].inputs[18].default_value[2],
			puresky_properties.flvec_cy_suc_anime_col[3] == node_tree.nodes["SuC"].inputs[18].default_value[3],
			puresky_properties.flvec_cy_suc_anime_emi[0] == node_tree.nodes["SuC"].inputs[19].default_value[0],
			puresky_properties.flvec_cy_suc_anime_emi[1] == node_tree.nodes["SuC"].inputs[19].default_value[1],
			puresky_properties.flvec_cy_suc_anime_emi[2] == node_tree.nodes["SuC"].inputs[19].default_value[2],
			puresky_properties.flvec_cy_suc_anime_emi[3] == node_tree.nodes["SuC"].inputs[19].default_value[3],
			puresky_properties.fl_cy_suc_anime_anime == node_tree.nodes["SuC"].inputs[20].default_value,
			puresky_properties.fl_cy_suc_anime_anime_style == node_tree.nodes["SuC"].inputs[21].default_value,
			puresky_properties.fl_cy_suc_anime_anime_factor == node_tree.nodes["SuC"].inputs[22].default_value,
			#______  Animate ______#
			round(math.radians(puresky_properties.fl_cy_suc_animate_wind_direction),2) == round(node_tree.nodes["SuC"].inputs[24].default_value,2) ,
			round(math.radians(puresky_properties.fl_cy_suc_animate_storm_wind),2) == round(node_tree.nodes["SuC"].inputs[25].default_value,2) ,
			puresky_properties.fl_cy_suc_animate_storm_flow == node_tree.nodes["SuC"].inputs[26].default_value,
			puresky_properties.fl_cy_suc_animate_headwind == node_tree.nodes["SuC"].inputs[27].default_value,
			puresky_properties.fl_cy_suc_animate_headflow == node_tree.nodes["SuC"].inputs[28].default_value,
			puresky_properties.fl_cy_suc_animate_crosswind == node_tree.nodes["SuC"].inputs[29].default_value,
			puresky_properties.fl_cy_suc_animate_crossflow == node_tree.nodes["SuC"].inputs[30].default_value,
			puresky_properties.fl_cy_suc_animate_warm_air == node_tree.nodes["SuC"].inputs[31].default_value,
			puresky_properties.fl_cy_suc_animate_cold_air == node_tree.nodes["SuC"].inputs[32].default_value,
			puresky_properties.fl_cy_suc_animate_floor == node_tree.nodes["SuC"].inputs[33].default_value,
			puresky_properties.fl_cy_suc_animate_air_rise == node_tree.nodes["SuC"].inputs[34].default_value,
			puresky_properties.fl_cy_suc_animate_floor_hardness == node_tree.nodes["SuC"].inputs[35].default_value,
			puresky_properties.fl_cy_suc_animate_ceiling_hardness == node_tree.nodes["SuC"].inputs[36].default_value,
			#______  Factors ______#
			puresky_properties.fl_cy_suc_factors_hw_airflow == node_tree.nodes["SuC"].inputs[38].default_value,
			puresky_properties.fl_cy_suc_factors_hw_cold_air == node_tree.nodes["SuC"].inputs[39].default_value,
			puresky_properties.fl_cy_suc_factors_hw_warm_air == node_tree.nodes["SuC"].inputs[40].default_value,
			puresky_properties.fl_cy_suc_factors_hw_air_rise == node_tree.nodes["SuC"].inputs[41].default_value,
			puresky_properties.fl_cy_suc_factors_hw_ar_max == node_tree.nodes["SuC"].inputs[42].default_value,
			puresky_properties.fl_cy_suc_factors_hw_coverage == node_tree.nodes["SuC"].inputs[43].default_value,
			puresky_properties.fl_cy_suc_factors_hw_co_max == node_tree.nodes["SuC"].inputs[44].default_value,
			puresky_properties.fl_cy_suc_factors_ar_storm_wind == node_tree.nodes["SuC"].inputs[45].default_value,
			puresky_properties.fl_cy_suc_factors_ar_cold_air == node_tree.nodes["SuC"].inputs[46].default_value,
			puresky_properties.fl_cy_suc_factors_ar_warm_air == node_tree.nodes["SuC"].inputs[47].default_value,
			puresky_properties.fl_cy_suc_factors_ar_coverage == node_tree.nodes["SuC"].inputs[48].default_value,
			puresky_properties.fl_cy_suc_factors_ar_co_max == node_tree.nodes["SuC"].inputs[49].default_value,
			puresky_properties.fl_cy_suc_factors_ar_diameter == node_tree.nodes["SuC"].inputs[50].default_value,
			puresky_properties.fl_cy_suc_factors_ar_di_max == node_tree.nodes["SuC"].inputs[51].default_value,
			puresky_properties.fl_cy_suc_factors_ar_summit == node_tree.nodes["SuC"].inputs[52].default_value,
			puresky_properties.fl_cy_suc_factors_ar_su_max == node_tree.nodes["SuC"].inputs[53].default_value,
			puresky_properties.fl_cy_suc_factors_sw_swirl == node_tree.nodes["SuC"].inputs[54].default_value,
			#______  Anvil & Drag ______#
			puresky_properties.fl_cy_suc_anvil_drag_tropopause_altitude == node_tree.nodes["SuC"].inputs[56].default_value,
			puresky_properties.fl_cy_suc_anvil_drag_tropopause_hardness == node_tree.nodes["SuC"].inputs[57].default_value,
			puresky_properties.fl_cy_suc_anvil_drag_add_tropopause == node_tree.nodes["SuC"].inputs[58].default_value,
			puresky_properties.fl_cy_suc_anvil_drag_anvil_diameter == node_tree.nodes["SuC"].inputs[59].default_value,
			puresky_properties.fl_cy_suc_anvil_drag_anvil_cotton == node_tree.nodes["SuC"].inputs[60].default_value,
			puresky_properties.fl_cy_suc_anvil_drag_anvil_height == node_tree.nodes["SuC"].inputs[61].default_value,
			puresky_properties.fl_cy_suc_anvil_drag_add_anvil == node_tree.nodes["SuC"].inputs[62].default_value,
			puresky_properties.fl_cy_suc_anvil_drag_drag_cotton == node_tree.nodes["SuC"].inputs[63].default_value,
			puresky_properties.fl_cy_suc_anvil_drag_drag_height == node_tree.nodes["SuC"].inputs[64].default_value,
			puresky_properties.fl_cy_suc_anvil_drag_drag_diameter == node_tree.nodes["SuC"].inputs[65].default_value,
			#______  Swirl ______#
			puresky_properties.fl_cy_suc_swirl_add_swirl == node_tree.nodes["SuC"].inputs[67].default_value,
			puresky_properties.fl_cy_suc_swirl_scale_swirl == node_tree.nodes["SuC"].inputs[68].default_value,
			puresky_properties.fl_cy_suc_swirl_smooth_swirl == node_tree.nodes["SuC"].inputs[69].default_value,
			puresky_properties.fl_cy_suc_swirl_swirl_roughness == node_tree.nodes["SuC"].inputs[70].default_value,
			puresky_properties.fl_cy_suc_swirl_swirl_intensity == node_tree.nodes["SuC"].inputs[71].default_value,
			#______  Clouds Shape ______#
			puresky_properties.fl_cy_suc_clouds_shape_compress_level == node_tree.nodes["SuC"].inputs[73].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_compress_cell == node_tree.nodes["SuC"].inputs[74].default_value,
			round(math.radians(puresky_properties.fl_cy_suc_clouds_shape_cell_skew_x),2) == round(node_tree.nodes["SuC"].inputs[75].default_value,2) ,
			round(math.radians(puresky_properties.fl_cy_suc_clouds_shape_cell_skew_y),2) == round(node_tree.nodes["SuC"].inputs[76].default_value,2) ,
			puresky_properties.fl_cy_suc_clouds_shape_diameter == node_tree.nodes["SuC"].inputs[77].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_summit == node_tree.nodes["SuC"].inputs[78].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_altitude == node_tree.nodes["SuC"].inputs[79].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_density == node_tree.nodes["SuC"].inputs[80].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_seed == node_tree.nodes["SuC"].inputs[81].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_scale == node_tree.nodes["SuC"].inputs[82].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_variation == node_tree.nodes["SuC"].inputs[83].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_coverage == node_tree.nodes["SuC"].inputs[84].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_add_cell == node_tree.nodes["SuC"].inputs[85].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_add_level == node_tree.nodes["SuC"].inputs[86].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_add_swelling == node_tree.nodes["SuC"].inputs[87].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_add_noise == node_tree.nodes["SuC"].inputs[88].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_add_tousling == node_tree.nodes["SuC"].inputs[89].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_add_floor_tousling == node_tree.nodes["SuC"].inputs[90].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_add_cotton == node_tree.nodes["SuC"].inputs[91].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_scale_swelling == node_tree.nodes["SuC"].inputs[92].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_scale_tousling == node_tree.nodes["SuC"].inputs[93].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_scale_cotton == node_tree.nodes["SuC"].inputs[94].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_scale_cell == node_tree.nodes["SuC"].inputs[95].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_scale_level == node_tree.nodes["SuC"].inputs[96].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_scale_noise == node_tree.nodes["SuC"].inputs[97].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_smooth_level == node_tree.nodes["SuC"].inputs[98].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_smooth_noise == node_tree.nodes["SuC"].inputs[99].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_smooth_swelling == node_tree.nodes["SuC"].inputs[100].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_smooth_tousling == node_tree.nodes["SuC"].inputs[101].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_cotton_details == node_tree.nodes["SuC"].inputs[102].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_tousling_details == node_tree.nodes["SuC"].inputs[103].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_cotton_distorsion == node_tree.nodes["SuC"].inputs[104].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_tousling_distorsion == node_tree.nodes["SuC"].inputs[105].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_cotton_roughness == node_tree.nodes["SuC"].inputs[106].default_value,
			puresky_properties.fl_cy_suc_clouds_shape_tousling_roughness == node_tree.nodes["SuC"].inputs[107].default_value,
			###########  HLC  ###########
			puresky_properties.bool_cy_hlc_clouds_shape_link == node_tree.nodes["HLC"].inputs[0].default_value,
			#______  Lighting ______#
			puresky_properties.flvec_cy_hlc_lighting_col[0] == node_tree.nodes["HLC"].inputs[2].default_value[0],
			puresky_properties.flvec_cy_hlc_lighting_col[1] == node_tree.nodes["HLC"].inputs[2].default_value[1],
			puresky_properties.flvec_cy_hlc_lighting_col[2] == node_tree.nodes["HLC"].inputs[2].default_value[2],
			puresky_properties.flvec_cy_hlc_lighting_col[3] == node_tree.nodes["HLC"].inputs[2].default_value[3],
			puresky_properties.flvec_cy_hlc_lighting_emi[0] == node_tree.nodes["HLC"].inputs[3].default_value[0],
			puresky_properties.flvec_cy_hlc_lighting_emi[1] == node_tree.nodes["HLC"].inputs[3].default_value[1],
			puresky_properties.flvec_cy_hlc_lighting_emi[2] == node_tree.nodes["HLC"].inputs[3].default_value[2],
			puresky_properties.flvec_cy_hlc_lighting_emi[3] == node_tree.nodes["HLC"].inputs[3].default_value[3],
			puresky_properties.flvec_cy_hlc_lighting_abso[0] == node_tree.nodes["HLC"].inputs[4].default_value[0],
			puresky_properties.flvec_cy_hlc_lighting_abso[1] == node_tree.nodes["HLC"].inputs[4].default_value[1],
			puresky_properties.flvec_cy_hlc_lighting_abso[2] == node_tree.nodes["HLC"].inputs[4].default_value[2],
			puresky_properties.flvec_cy_hlc_lighting_abso[3] == node_tree.nodes["HLC"].inputs[4].default_value[3],
			puresky_properties.fl_cy_hlc_lighting_glare == node_tree.nodes["HLC"].inputs[5].default_value,
			puresky_properties.fl_cy_hlc_lighting_transmission == node_tree.nodes["HLC"].inputs[6].default_value,
			puresky_properties.fl_cy_hlc_lighting_start_distance == node_tree.nodes["HLC"].inputs[7].default_value,
			puresky_properties.fl_cy_hlc_lighting_only_shadows == node_tree.nodes["HLC"].inputs[8].default_value,
			puresky_properties.fl_cy_hlc_lighting_floor_shadows == node_tree.nodes["HLC"].inputs[9].default_value,
			puresky_properties.fl_cy_hlc_lighting_shadows_strength == node_tree.nodes["HLC"].inputs[10].default_value,
			puresky_properties.fl_cy_hlc_lighting_day_emission == node_tree.nodes["HLC"].inputs[11].default_value,
			puresky_properties.fl_cy_hlc_lighting_night_emission == node_tree.nodes["HLC"].inputs[12].default_value,
			puresky_properties.fl_cy_hlc_lighting_emi_duration == node_tree.nodes["HLC"].inputs[13].default_value,
			puresky_properties.fl_cy_hlc_lighting_day_global_illumination == node_tree.nodes["HLC"].inputs[14].default_value,
			puresky_properties.fl_cy_hlc_lighting_night_global_illumination == node_tree.nodes["HLC"].inputs[15].default_value,
			puresky_properties.fl_cy_hlc_lighting_gi_duration == node_tree.nodes["HLC"].inputs[16].default_value,
			#______  Anime ______#
			puresky_properties.flvec_cy_hlc_anime_col[0] == node_tree.nodes["HLC"].inputs[18].default_value[0],
			puresky_properties.flvec_cy_hlc_anime_col[1] == node_tree.nodes["HLC"].inputs[18].default_value[1],
			puresky_properties.flvec_cy_hlc_anime_col[2] == node_tree.nodes["HLC"].inputs[18].default_value[2],
			puresky_properties.flvec_cy_hlc_anime_col[3] == node_tree.nodes["HLC"].inputs[18].default_value[3],
			puresky_properties.flvec_cy_hlc_anime_emi[0] == node_tree.nodes["HLC"].inputs[19].default_value[0],
			puresky_properties.flvec_cy_hlc_anime_emi[1] == node_tree.nodes["HLC"].inputs[19].default_value[1],
			puresky_properties.flvec_cy_hlc_anime_emi[2] == node_tree.nodes["HLC"].inputs[19].default_value[2],
			puresky_properties.flvec_cy_hlc_anime_emi[3] == node_tree.nodes["HLC"].inputs[19].default_value[3],
			puresky_properties.fl_cy_hlc_anime_anime == node_tree.nodes["HLC"].inputs[20].default_value,
			puresky_properties.fl_cy_hlc_anime_anime_style == node_tree.nodes["HLC"].inputs[21].default_value,
			puresky_properties.fl_cy_hlc_anime_anime_factor == node_tree.nodes["HLC"].inputs[22].default_value,
			#______  Animate ______#
			round(math.radians(puresky_properties.fl_cy_hlc_animate_wind_direction),2) == round(node_tree.nodes["HLC"].inputs[24].default_value,2) ,
			round(math.radians(puresky_properties.fl_cy_hlc_animate_storm_wind),2) == round(node_tree.nodes["HLC"].inputs[25].default_value,2) ,
			puresky_properties.fl_cy_hlc_animate_storm_flow == node_tree.nodes["HLC"].inputs[26].default_value,
			puresky_properties.fl_cy_hlc_animate_headwind == node_tree.nodes["HLC"].inputs[27].default_value,
			puresky_properties.fl_cy_hlc_animate_headflow == node_tree.nodes["HLC"].inputs[28].default_value,
			puresky_properties.fl_cy_hlc_animate_crosswind == node_tree.nodes["HLC"].inputs[29].default_value,
			puresky_properties.fl_cy_hlc_animate_crossflow == node_tree.nodes["HLC"].inputs[30].default_value,
			puresky_properties.fl_cy_hlc_animate_warm_air == node_tree.nodes["HLC"].inputs[31].default_value,
			puresky_properties.fl_cy_hlc_animate_cold_air == node_tree.nodes["HLC"].inputs[32].default_value,
			puresky_properties.fl_cy_hlc_animate_floor == node_tree.nodes["HLC"].inputs[33].default_value,
			puresky_properties.fl_cy_hlc_animate_air_rise == node_tree.nodes["HLC"].inputs[34].default_value,
			puresky_properties.fl_cy_hlc_animate_floor_hardness == node_tree.nodes["HLC"].inputs[35].default_value,
			puresky_properties.fl_cy_hlc_animate_ceiling_hardness == node_tree.nodes["HLC"].inputs[36].default_value,
			#______  Factors ______#
			puresky_properties.fl_cy_hlc_factors_hw_airflow == node_tree.nodes["HLC"].inputs[38].default_value,
			puresky_properties.fl_cy_hlc_factors_hw_cold_air == node_tree.nodes["HLC"].inputs[39].default_value,
			puresky_properties.fl_cy_hlc_factors_hw_warm_air == node_tree.nodes["HLC"].inputs[40].default_value,
			puresky_properties.fl_cy_hlc_factors_hw_air_rise == node_tree.nodes["HLC"].inputs[41].default_value,
			puresky_properties.fl_cy_hlc_factors_hw_ar_max == node_tree.nodes["HLC"].inputs[42].default_value,
			puresky_properties.fl_cy_hlc_factors_hw_coverage == node_tree.nodes["HLC"].inputs[43].default_value,
			puresky_properties.fl_cy_hlc_factors_hw_co_max == node_tree.nodes["HLC"].inputs[44].default_value,
			puresky_properties.fl_cy_hlc_factors_ar_cold_air == node_tree.nodes["HLC"].inputs[45].default_value,
			puresky_properties.fl_cy_hlc_factors_ar_warm_air == node_tree.nodes["HLC"].inputs[46].default_value,
			puresky_properties.fl_cy_hlc_factors_ar_coverage == node_tree.nodes["HLC"].inputs[47].default_value,
			puresky_properties.fl_cy_hlc_factors_ar_co_max == node_tree.nodes["HLC"].inputs[48].default_value,
			#______  Anvil & Drag ______#
			puresky_properties.fl_cy_hlc_anvil_drag_tropopause_altitude == node_tree.nodes["HLC"].inputs[50].default_value,
			puresky_properties.fl_cy_hlc_anvil_drag_tropopause_hardness == node_tree.nodes["HLC"].inputs[51].default_value,
			puresky_properties.fl_cy_hlc_anvil_drag_add_tropopause == node_tree.nodes["HLC"].inputs[52].default_value,
			puresky_properties.fl_cy_hlc_anvil_drag_anvil_diameter == node_tree.nodes["HLC"].inputs[53].default_value,
			puresky_properties.fl_cy_hlc_anvil_drag_anvil_cotton == node_tree.nodes["HLC"].inputs[54].default_value,
			puresky_properties.fl_cy_hlc_anvil_drag_anvil_height == node_tree.nodes["HLC"].inputs[55].default_value,
			puresky_properties.fl_cy_hlc_anvil_drag_add_anvil == node_tree.nodes["HLC"].inputs[56].default_value,
			puresky_properties.fl_cy_hlc_anvil_drag_drag_cotton == node_tree.nodes["HLC"].inputs[57].default_value,
			puresky_properties.fl_cy_hlc_anvil_drag_drag_height == node_tree.nodes["HLC"].inputs[58].default_value,
			puresky_properties.fl_cy_hlc_anvil_drag_drag_diameter == node_tree.nodes["HLC"].inputs[59].default_value,
			puresky_properties.fl_cy_hlc_anvil_drag_drag_undulating == node_tree.nodes["HLC"].inputs[60].default_value,
			puresky_properties.fl_cy_hlc_anvil_drag_smooth_undulating == node_tree.nodes["HLC"].inputs[61].default_value,
			#______  Clouds Shape ______#
			puresky_properties.fl_cy_hlc_clouds_shape_compress_level == node_tree.nodes["HLC"].inputs[63].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_compress_cell == node_tree.nodes["HLC"].inputs[64].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_cell_length == node_tree.nodes["HLC"].inputs[65].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_cell_width == node_tree.nodes["HLC"].inputs[66].default_value,
			round(math.radians(puresky_properties.fl_cy_hlc_clouds_shape_wind_skew),2) == round(node_tree.nodes["HLC"].inputs[67].default_value,2) ,
			puresky_properties.fl_cy_hlc_clouds_shape_scattering == node_tree.nodes["HLC"].inputs[68].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_variation == node_tree.nodes["HLC"].inputs[69].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_altitude == node_tree.nodes["HLC"].inputs[70].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_density == node_tree.nodes["HLC"].inputs[71].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_seed == node_tree.nodes["HLC"].inputs[72].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_flip == node_tree.nodes["HLC"].inputs[73].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_scale == node_tree.nodes["HLC"].inputs[74].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_rigid == node_tree.nodes["HLC"].inputs[75].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_debris == node_tree.nodes["HLC"].inputs[76].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_smooth == node_tree.nodes["HLC"].inputs[77].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_coverage == node_tree.nodes["HLC"].inputs[78].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_compress == node_tree.nodes["HLC"].inputs[79].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_add_level == node_tree.nodes["HLC"].inputs[80].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_add_swelling == node_tree.nodes["HLC"].inputs[81].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_add_noise == node_tree.nodes["HLC"].inputs[82].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_add_tousling == node_tree.nodes["HLC"].inputs[83].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_add_floor_tousling == node_tree.nodes["HLC"].inputs[84].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_add_cotton == node_tree.nodes["HLC"].inputs[85].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_scale_swelling == node_tree.nodes["HLC"].inputs[86].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_scale_tousling == node_tree.nodes["HLC"].inputs[87].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_scale_cotton == node_tree.nodes["HLC"].inputs[88].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_scale_cell == node_tree.nodes["HLC"].inputs[89].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_scale_level == node_tree.nodes["HLC"].inputs[90].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_scale_noise == node_tree.nodes["HLC"].inputs[91].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_smooth_level == node_tree.nodes["HLC"].inputs[92].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_smooth_noise == node_tree.nodes["HLC"].inputs[93].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_smooth_swelling == node_tree.nodes["HLC"].inputs[94].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_smooth_tousling == node_tree.nodes["HLC"].inputs[95].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_cotton_details == node_tree.nodes["HLC"].inputs[96].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_tousling_details == node_tree.nodes["HLC"].inputs[97].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_cotton_distorsion == node_tree.nodes["HLC"].inputs[98].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_tousling_distorsion == node_tree.nodes["HLC"].inputs[99].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_cotton_roughness == node_tree.nodes["HLC"].inputs[100].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_tousling_roughness == node_tree.nodes["HLC"].inputs[101].default_value,
			puresky_properties.fl_cy_hlc_clouds_shape_display_mask == node_tree.nodes["HLC"].inputs[102].default_value,
			#______  Mask HLC ______#
			puresky_properties.flvec_cy_hlc_mask_hlc_inputs_103[0] == node_tree.nodes["HLC"].inputs[103].default_value[0],
			puresky_properties.flvec_cy_hlc_mask_hlc_inputs_103[1] == node_tree.nodes["HLC"].inputs[103].default_value[1],
			puresky_properties.flvec_cy_hlc_mask_hlc_inputs_103[2] == node_tree.nodes["HLC"].inputs[103].default_value[2],
			puresky_properties.flvec_cy_hlc_mask_hlc_inputs_103[3] == node_tree.nodes["HLC"].inputs[103].default_value[3],
			###########  LLC  ###########
			puresky_properties.bool_cy_llc_mask_hlc_link == node_tree.nodes["LLC"].inputs[0].default_value,
			#______  Lighting ______#
			puresky_properties.flvec_cy_llc_lighting_col[0] == node_tree.nodes["LLC"].inputs[2].default_value[0],
			puresky_properties.flvec_cy_llc_lighting_col[1] == node_tree.nodes["LLC"].inputs[2].default_value[1],
			puresky_properties.flvec_cy_llc_lighting_col[2] == node_tree.nodes["LLC"].inputs[2].default_value[2],
			puresky_properties.flvec_cy_llc_lighting_col[3] == node_tree.nodes["LLC"].inputs[2].default_value[3],
			puresky_properties.flvec_cy_llc_lighting_emi[0] == node_tree.nodes["LLC"].inputs[3].default_value[0],
			puresky_properties.flvec_cy_llc_lighting_emi[1] == node_tree.nodes["LLC"].inputs[3].default_value[1],
			puresky_properties.flvec_cy_llc_lighting_emi[2] == node_tree.nodes["LLC"].inputs[3].default_value[2],
			puresky_properties.flvec_cy_llc_lighting_emi[3] == node_tree.nodes["LLC"].inputs[3].default_value[3],
			puresky_properties.flvec_cy_llc_lighting_abso[0] == node_tree.nodes["LLC"].inputs[4].default_value[0],
			puresky_properties.flvec_cy_llc_lighting_abso[1] == node_tree.nodes["LLC"].inputs[4].default_value[1],
			puresky_properties.flvec_cy_llc_lighting_abso[2] == node_tree.nodes["LLC"].inputs[4].default_value[2],
			puresky_properties.flvec_cy_llc_lighting_abso[3] == node_tree.nodes["LLC"].inputs[4].default_value[3],
			puresky_properties.fl_cy_llc_lighting_glare == node_tree.nodes["LLC"].inputs[5].default_value,
			puresky_properties.fl_cy_llc_lighting_transmission == node_tree.nodes["LLC"].inputs[6].default_value,
			puresky_properties.fl_cy_llc_lighting_start_distance == node_tree.nodes["LLC"].inputs[7].default_value,
			puresky_properties.fl_cy_llc_lighting_only_shadows == node_tree.nodes["LLC"].inputs[8].default_value,
			puresky_properties.fl_cy_llc_lighting_floor_shadows == node_tree.nodes["LLC"].inputs[9].default_value,
			puresky_properties.fl_cy_llc_lighting_shadows_strength == node_tree.nodes["LLC"].inputs[10].default_value,
			puresky_properties.fl_cy_llc_lighting_day_emission == node_tree.nodes["LLC"].inputs[11].default_value,
			puresky_properties.fl_cy_llc_lighting_night_emission == node_tree.nodes["LLC"].inputs[12].default_value,
			puresky_properties.fl_cy_llc_lighting_emi_duration == node_tree.nodes["LLC"].inputs[13].default_value,
			puresky_properties.fl_cy_llc_lighting_day_global_illumination == node_tree.nodes["LLC"].inputs[14].default_value,
			puresky_properties.fl_cy_llc_lighting_night_global_illumination == node_tree.nodes["LLC"].inputs[15].default_value,
			puresky_properties.fl_cy_llc_lighting_gi_duration == node_tree.nodes["LLC"].inputs[16].default_value,
			#______  Anime ______#
			puresky_properties.flvec_cy_llc_anime_col[0] == node_tree.nodes["LLC"].inputs[18].default_value[0],
			puresky_properties.flvec_cy_llc_anime_col[1] == node_tree.nodes["LLC"].inputs[18].default_value[1],
			puresky_properties.flvec_cy_llc_anime_col[2] == node_tree.nodes["LLC"].inputs[18].default_value[2],
			puresky_properties.flvec_cy_llc_anime_col[3] == node_tree.nodes["LLC"].inputs[18].default_value[3],
			puresky_properties.flvec_cy_llc_anime_emi[0] == node_tree.nodes["LLC"].inputs[19].default_value[0],
			puresky_properties.flvec_cy_llc_anime_emi[1] == node_tree.nodes["LLC"].inputs[19].default_value[1],
			puresky_properties.flvec_cy_llc_anime_emi[2] == node_tree.nodes["LLC"].inputs[19].default_value[2],
			puresky_properties.flvec_cy_llc_anime_emi[3] == node_tree.nodes["LLC"].inputs[19].default_value[3],
			puresky_properties.fl_cy_llc_anime_anime == node_tree.nodes["LLC"].inputs[20].default_value,
			puresky_properties.fl_cy_llc_anime_anime_style == node_tree.nodes["LLC"].inputs[21].default_value,
			puresky_properties.fl_cy_llc_anime_anime_factor == node_tree.nodes["LLC"].inputs[22].default_value,
			#______  Animate ______#
			round(math.radians(puresky_properties.fl_cy_llc_animate_wind_direction),2) == round(node_tree.nodes["LLC"].inputs[24].default_value,2) ,
			round(math.radians(puresky_properties.fl_cy_llc_animate_storm_wind),2) == round(node_tree.nodes["LLC"].inputs[25].default_value,2) ,
			puresky_properties.fl_cy_llc_animate_storm_flow == node_tree.nodes["LLC"].inputs[26].default_value,
			puresky_properties.fl_cy_llc_animate_headwind == node_tree.nodes["LLC"].inputs[27].default_value,
			puresky_properties.fl_cy_llc_animate_headflow == node_tree.nodes["LLC"].inputs[28].default_value,
			puresky_properties.fl_cy_llc_animate_crosswind == node_tree.nodes["LLC"].inputs[29].default_value,
			puresky_properties.fl_cy_llc_animate_crossflow == node_tree.nodes["LLC"].inputs[30].default_value,
			puresky_properties.fl_cy_llc_animate_warm_air == node_tree.nodes["LLC"].inputs[31].default_value,
			puresky_properties.fl_cy_llc_animate_cold_air == node_tree.nodes["LLC"].inputs[32].default_value,
			puresky_properties.fl_cy_llc_animate_floor == node_tree.nodes["LLC"].inputs[33].default_value,
			puresky_properties.fl_cy_llc_animate_air_rise == node_tree.nodes["LLC"].inputs[34].default_value,
			puresky_properties.fl_cy_llc_animate_floor_hardness == node_tree.nodes["LLC"].inputs[35].default_value,
			puresky_properties.fl_cy_llc_animate_ceiling_hardness == node_tree.nodes["LLC"].inputs[36].default_value,
			#______  Factors ______#
			puresky_properties.fl_cy_llc_factors_hw_airflow == node_tree.nodes["LLC"].inputs[38].default_value,
			puresky_properties.fl_cy_llc_factors_hw_cold_air == node_tree.nodes["LLC"].inputs[39].default_value,
			puresky_properties.fl_cy_llc_factors_hw_warm_air == node_tree.nodes["LLC"].inputs[40].default_value,
			puresky_properties.fl_cy_llc_factors_hw_air_rise == node_tree.nodes["LLC"].inputs[41].default_value,
			puresky_properties.fl_cy_llc_factors_hw_ar_max == node_tree.nodes["LLC"].inputs[42].default_value,
			puresky_properties.fl_cy_llc_factors_hw_coverage == node_tree.nodes["LLC"].inputs[43].default_value,
			puresky_properties.fl_cy_llc_factors_hw_co_max == node_tree.nodes["LLC"].inputs[44].default_value,
			puresky_properties.fl_cy_llc_factors_ar_cold_air == node_tree.nodes["LLC"].inputs[45].default_value,
			puresky_properties.fl_cy_llc_factors_ar_warm_air == node_tree.nodes["LLC"].inputs[46].default_value,
			puresky_properties.fl_cy_llc_factors_ar_coverage == node_tree.nodes["LLC"].inputs[47].default_value,
			puresky_properties.fl_cy_llc_factors_ar_co_max == node_tree.nodes["LLC"].inputs[48].default_value,
			#______  Anvil & Drag ______#
			puresky_properties.fl_cy_llc_anvil_drag_tropopause_altitude == node_tree.nodes["LLC"].inputs[50].default_value,
			puresky_properties.fl_cy_llc_anvil_drag_tropopause_hardness == node_tree.nodes["LLC"].inputs[51].default_value,
			puresky_properties.fl_cy_llc_anvil_drag_add_tropopause == node_tree.nodes["LLC"].inputs[52].default_value,
			puresky_properties.fl_cy_llc_anvil_drag_anvil_diameter == node_tree.nodes["LLC"].inputs[53].default_value,
			puresky_properties.fl_cy_llc_anvil_drag_anvil_cotton == node_tree.nodes["LLC"].inputs[54].default_value,
			puresky_properties.fl_cy_llc_anvil_drag_anvil_height == node_tree.nodes["LLC"].inputs[55].default_value,
			puresky_properties.fl_cy_llc_anvil_drag_add_anvil == node_tree.nodes["LLC"].inputs[56].default_value,
			puresky_properties.fl_cy_llc_anvil_drag_drag_cotton == node_tree.nodes["LLC"].inputs[57].default_value,
			puresky_properties.fl_cy_llc_anvil_drag_drag_height == node_tree.nodes["LLC"].inputs[58].default_value,
			puresky_properties.fl_cy_llc_anvil_drag_drag_diameter == node_tree.nodes["LLC"].inputs[59].default_value,
			puresky_properties.fl_cy_llc_anvil_drag_drag_undulating == node_tree.nodes["LLC"].inputs[60].default_value,
			puresky_properties.fl_cy_llc_anvil_drag_smooth_undulating == node_tree.nodes["LLC"].inputs[61].default_value,
			#______  Clouds Shape ______#
			puresky_properties.fl_cy_llc_clouds_shape_compress_level == node_tree.nodes["LLC"].inputs[63].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_compress_cell == node_tree.nodes["LLC"].inputs[64].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_cell_length == node_tree.nodes["LLC"].inputs[65].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_cell_width == node_tree.nodes["LLC"].inputs[66].default_value,
			round(math.radians(puresky_properties.fl_cy_llc_clouds_shape_wind_skew),2) == round(node_tree.nodes["LLC"].inputs[67].default_value,2) ,
			puresky_properties.fl_cy_llc_clouds_shape_scattering == node_tree.nodes["LLC"].inputs[68].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_variation == node_tree.nodes["LLC"].inputs[69].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_altitude == node_tree.nodes["LLC"].inputs[70].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_density == node_tree.nodes["LLC"].inputs[71].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_seed == node_tree.nodes["LLC"].inputs[72].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_flip == node_tree.nodes["LLC"].inputs[73].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_scale == node_tree.nodes["LLC"].inputs[74].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_rigid == node_tree.nodes["LLC"].inputs[75].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_debris == node_tree.nodes["LLC"].inputs[76].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_smooth == node_tree.nodes["LLC"].inputs[77].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_coverage == node_tree.nodes["LLC"].inputs[78].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_compress == node_tree.nodes["LLC"].inputs[79].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_add_level == node_tree.nodes["LLC"].inputs[80].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_add_swelling == node_tree.nodes["LLC"].inputs[81].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_add_noise == node_tree.nodes["LLC"].inputs[82].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_add_tousling == node_tree.nodes["LLC"].inputs[83].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_add_floor_tousling == node_tree.nodes["LLC"].inputs[84].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_add_cotton == node_tree.nodes["LLC"].inputs[85].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_scale_swelling == node_tree.nodes["LLC"].inputs[86].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_scale_tousling == node_tree.nodes["LLC"].inputs[87].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_scale_cotton == node_tree.nodes["LLC"].inputs[88].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_scale_cell == node_tree.nodes["LLC"].inputs[89].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_scale_level == node_tree.nodes["LLC"].inputs[90].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_scale_noise == node_tree.nodes["LLC"].inputs[91].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_smooth_level == node_tree.nodes["LLC"].inputs[92].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_smooth_noise == node_tree.nodes["LLC"].inputs[93].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_smooth_swelling == node_tree.nodes["LLC"].inputs[94].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_smooth_tousling == node_tree.nodes["LLC"].inputs[95].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_cotton_details == node_tree.nodes["LLC"].inputs[96].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_tousling_details == node_tree.nodes["LLC"].inputs[97].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_cotton_distorsion == node_tree.nodes["LLC"].inputs[98].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_tousling_distorsion == node_tree.nodes["LLC"].inputs[99].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_cotton_roughness == node_tree.nodes["LLC"].inputs[100].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_tousling_roughness == node_tree.nodes["LLC"].inputs[101].default_value,
			puresky_properties.fl_cy_llc_clouds_shape_display_mask == node_tree.nodes["LLC"].inputs[102].default_value,
			#______  Mask LLC ______#
			puresky_properties.flvec_cy_llc_mask_llc_inputs_103[0] == node_tree.nodes["LLC"].inputs[103].default_value[0],
			puresky_properties.flvec_cy_llc_mask_llc_inputs_103[1] == node_tree.nodes["LLC"].inputs[103].default_value[1],
			puresky_properties.flvec_cy_llc_mask_llc_inputs_103[2] == node_tree.nodes["LLC"].inputs[103].default_value[2],
			puresky_properties.flvec_cy_llc_mask_llc_inputs_103[3] == node_tree.nodes["LLC"].inputs[103].default_value[3],
		]
		if all(rules):
			print("success")
			puresky_properties.bool_check_cy_clouds=True
		else:
			print("fail")
			puresky_properties.bool_check_cy_clouds=False